Name:           ddpt
Version:        0.95
Release:        4%{?dist}
Summary:        Variant of the dd utility for SCSI/storage devices

Group:          Applications/System
License:        BSD
URL:            http://sg.danny.cz/sg/ddpt.html
Source0:        http://sg.danny.cz/sg/p/%{name}-%{version}.tar.bz2

BuildRequires:  sg3_utils-devel


%description
The ddpt utility is a variant of the standard Unix command dd which copies
files. The ddpt utility specializes in files that are block devices. For block
devices that understand the SCSI command set, finer grain control over the
copy may be available via a SCSI pass-through interface. Note that recent
(S)ATA disks can often be driven by SCSI commands due to SCSI to ATA
translation (SAT) implemented in the kernel.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT


%files
%doc AUTHORS COPYING CREDITS ChangeLog README TODO doc/ddpt_examples.txt
%{_bindir}/%{name}*
%{_mandir}/man8/%{name}*.8*


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.95-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.95-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jan 04 2015 Dan Horák <dan@danny.cz> - 0.95-1
- udpated to 0.95 (#1178331)

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.94-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.94-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 20 2014 Dan Horák <dan@danny.cz> - 0.94-1
- udpated to 0.94 (#1085263)

* Fri Nov 15 2013 Dan Horák <dan@danny.cz> - 0.93-1
- udpated to 0.93 (#1030841)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 02 2013 Dan Horák <dan@danny.cz> - 0.92-5
- modernize spec
- rebuilt for aarch64 (#925243)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Feb 18 2011 Dan Horák <dan@danny.cz> - 0.92-1
- initial Fedora package
